| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
odSurvey Class Reference

`#include <odsurvey.h>`

## Public Member Functions
| odSurvey (const char *surveynm, const char *basedir=nullptr)
| ~odSurvey ()
bool | activate () const
void | createObj (const char *objname, const char *trgrpnm, const char *translkey, bool overwrite) const
IOObj * | createObj (const char *objname, const char *trgrpnm, const char *translkey, bool overwrite, BufferString &errmsg) const
BufferString | errMsg () const
BufferString | get_crsCode () const
void | getFeature (OD::JSON::Object &, bool towgs=true) const
void | getInfo (OD::JSON::Object &) const
void | getObjInfo (const char *objname, const char *trlgrpnm, OD::JSON::Object &) const
void | getObjInfoByID (const MultiID &, OD::JSON::Object &) const
void | getObjInfos (const char *trlgrpnm, bool all, OD::JSON::Array &) const
BufferStringSet * | getObjNames (const char *trlgrpnm) const
void | getPoints (OD::JSON::Array &, bool towgs=true) const
bool | has2D () const
bool | has3D () const
bool | isObjPresent (const char *objname, const char *trgrpnm=nullptr) const
bool | isOK () const
void | makeCoordsList (OD::JSON::Array &, const TypeSet< Coord > &, bool towgs) const
void | removeObj (const char *objname, const char *trgrpnm=nullptr) const
void | removeObjByID (const MultiID &) const
void | setErrMsg (const char *msg)
const SurveyInfo & | si () const
BufferString | surveyPath () const
BufferString | type () const

## Static Public Member Functions
static BufferStringSet | getCommonItems (const BufferStringSet &, const BufferStringSet &)
static void | getFeatures (OD::JSON::Object &, const BufferStringSet &, const char *data_root=nullptr)
static void | getInfos (OD::JSON::Array &, const BufferStringSet &, const char *data_root=nullptr)
static BufferStringSet * | getNames (const char *data_root=nullptr)
static bool | initModule (const char *)
static TrcKeySampling | tkFromRanges (const int32_t inlrg[3], const int32_t crlrg[3])
static TrcKeyZSampling | tkzFromRanges (const int32_t inlrg[3], const int32_t crlrg[3], const float zrg[3], bool zistime)

## Protected Attributes
BufferString | basedir_
BufferString | errmsg_
BufferString | survey_

## Static Protected Attributes
static BufferString | curbasedir_
static BufferString | cursurvey_

## Constructor & Destructor Documentation

## ◆ odSurvey()

odSurvey::odSurvey | ( | const char * | surveynm,
|  | const char * | basedir = nullptr )

## ◆ ~odSurvey()

odSurvey::~odSurvey | ( |  | ) |

## Member Function Documentation

## ◆ activate()

bool odSurvey::activate | ( |  | ) | const

## ◆ createObj() [1/2]

void odSurvey::createObj | ( | const char * | objname,
|  | const char * | trgrpnm,
|  | const char * | translkey,
|  | bool | overwrite ) const

## ◆ createObj() [2/2]

IOObj * odSurvey::createObj | ( | const char * | objname,
|  | const char * | trgrpnm,
|  | const char * | translkey,
|  | bool | overwrite,
|  | BufferString & | errmsg ) const

## ◆ errMsg()

BufferString odSurvey::errMsg | ( |  | ) | const
| inline

## ◆ get_crsCode()

BufferString odSurvey::get_crsCode | ( |  | ) | const

## ◆ getCommonItems()

static BufferStringSet odSurvey::getCommonItems | ( | const BufferStringSet & | ,
|  | const BufferStringSet & | )
| static

## ◆ getFeature()

void odSurvey::getFeature | ( | OD::JSON::Object & | ,
|  | bool | towgs = true ) const

## ◆ getFeatures()

static void odSurvey::getFeatures | ( | OD::JSON::Object & | ,
|  | const BufferStringSet & | ,
|  | const char * | data_root = nullptr )
| static

## ◆ getInfo()

void odSurvey::getInfo | ( | OD::JSON::Object & |  | ) | const

## ◆ getInfos()

static void odSurvey::getInfos | ( | OD::JSON::Array & | ,
|  | const BufferStringSet & | ,
|  | const char * | data_root = nullptr )
| static

## ◆ getNames()

static BufferStringSet * odSurvey::getNames | ( | const char * | data_root = nullptr | ) |
| static

## ◆ getObjInfo()

void odSurvey::getObjInfo | ( | const char * | objname,
|  | const char * | trlgrpnm,
|  | OD::JSON::Object & | ) const

## ◆ getObjInfoByID()

void odSurvey::getObjInfoByID | ( | const MultiID & | ,
|  | OD::JSON::Object & | ) const

## ◆ getObjInfos()

void odSurvey::getObjInfos | ( | const char * | trlgrpnm,
|  | bool | all,
|  | OD::JSON::Array & | ) const

## ◆ getObjNames()

BufferStringSet * odSurvey::getObjNames | ( | const char * | trlgrpnm | ) | const

## ◆ getPoints()

void odSurvey::getPoints | ( | OD::JSON::Array & | ,
|  | bool | towgs = true ) const

## ◆ has2D()

bool odSurvey::has2D | ( |  | ) | const

## ◆ has3D()

bool odSurvey::has3D | ( |  | ) | const

## ◆ initModule()

static bool odSurvey::initModule | ( | const char * |  | ) |
| static

## ◆ isObjPresent()

bool odSurvey::isObjPresent | ( | const char * | objname,
|  | const char * | trgrpnm = nullptr ) const

## ◆ isOK()

bool odSurvey::isOK | ( |  | ) | const
| inline

## ◆ makeCoordsList()

void odSurvey::makeCoordsList | ( | OD::JSON::Array & | ,
|  | const TypeSet< Coord > & | ,
|  | bool | towgs ) const

## ◆ removeObj()

void odSurvey::removeObj | ( | const char * | objname,
|  | const char * | trgrpnm = nullptr ) const

## ◆ removeObjByID()

void odSurvey::removeObjByID | ( | const MultiID & |  | ) | const

## ◆ setErrMsg()

void odSurvey::setErrMsg | ( | const char * | msg | ) |
| inline

## ◆ si()

const SurveyInfo & odSurvey::si | ( |  | ) | const
| inline

## ◆ surveyPath()

BufferString odSurvey::surveyPath | ( |  | ) | const

## ◆ tkFromRanges()

static TrcKeySampling odSurvey::tkFromRanges | ( | const int32_t | inlrg[3],
|  | const int32_t | crlrg[3] )
| static

## ◆ tkzFromRanges()

static TrcKeyZSampling odSurvey::tkzFromRanges | ( | const int32_t | inlrg[3],
|  | const int32_t | crlrg[3],
|  | const float | zrg[3],
|  | bool | zistime )
| static

## ◆ type()

BufferString odSurvey::type | ( |  | ) | const

## Member Data Documentation

## ◆ basedir_

BufferString odSurvey::basedir_
| protected

## ◆ curbasedir_

BufferString odSurvey::curbasedir_
| static protected

## ◆ cursurvey_

BufferString odSurvey::cursurvey_
| static protected

## ◆ errmsg_

BufferString odSurvey::errmsg_
| mutable protected

## ◆ survey_

BufferString odSurvey::survey_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025